depends = ('ITKPyBase', 'ITKImageFeature', 'ITKCommon', )
templates = (
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterID3', True, 'itk::Image< double,3 >'),
  ('DICOMOrientImageFilter', 'itk::DICOMOrientImageFilter', 'itkDICOMOrientImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterID2', True, 'itk::Image< double,2 >'),
  ('HessianImageFilter', 'itk::HessianImageFilter', 'itkHessianImageFilterID3', True, 'itk::Image< double,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterID2', True, 'itk::Image< double,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterID3', True, 'itk::Image< double,3 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('NPasteImageFilter', 'itk::NPasteImageFilter', 'itkNPasteImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ObjectnessMeasureImageFilter', 'itk::ObjectnessMeasureImageFilter', 'itkObjectnessMeasureImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ObjectnessMeasureImageFilter', 'itk::ObjectnessMeasureImageFilter', 'itkObjectnessMeasureImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ObjectnessMeasureImageFilter', 'itk::ObjectnessMeasureImageFilter', 'itkObjectnessMeasureImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ObjectnessMeasureImageFilter', 'itk::ObjectnessMeasureImageFilter', 'itkObjectnessMeasureImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
)
snake_case_functions = ('objectness_measure_image_filter', 'n_paste_image_filter', 'hessian_image_filter', 'dicom_orient_image_filter', )
